import machine
import utime
pin = machine.Pin(28, machine.Pin.OUT)
mA=[2,4,8,12]	# 表示用電流リスト
while True:	# 以下繰り返し
    n = 0	# 繰り返し番号の初期値
    while n <= 3 :	# ４回繰り返し
        machine.mem32[0x4001c074] = 0x42 + n*0x10	# レジスタ設定
        pin.value(1)	# ポートを"H"にする. "L"にするときは0にする
        utime.sleep(0.5)	# 0.5秒待つ
        print(mA[n]," mA")	# シリアルモニタに電流値を表示
        n += 1		# 繰り返し番号を１つ増やす
    pin.value(0)	# ポートを"L"にする
    utime.sleep(1)	# １秒待つ
    print("\n")		# シリアルモニタ改行
